Page 1 of 3 123 LastLast
Results 1 to 10 of 29

Thread: Call for Testing: Mesa 9.1

  1. #1
    Join Date
    Apr 2006
    Location
    USA
    Beans
    402

    Call for Testing: Mesa 9.1

    I know many of you are discussing graphical issues in forum threads. Please give this new version of mesa a whirl and report your results on the tracker. The release team will use those results as a basis for allowing the ffe to include mesa 9.1 in raring. This has some nice fixes for intel chips in it! Check out the full details on the ffe:

    https://launchpad.net/bugs/1164093

    Here's a link to the testcase itself.

    http://packages.qa.ubuntu.com/qatrac...1730/testcases

    Thanks everyone!

  2. #2
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,833
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Call for Testing: Mesa 9.1

    Turned PPA on, updated and upgrade does not show anything to upgrade... GnomeShell PPAs are all on...

  3. #3
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Call for Testing: Mesa 9.1

    testing the new mesa packages on i386 + nvidia-313-updates + 8500gt since a few hours, and everything goes well
    Last edited by dino99; April 10th, 2013 at 03:43 PM.

  4. #4
    Join Date
    Apr 2006
    Location
    USA
    Beans
    402

    Re: Call for Testing: Mesa 9.1

    Quote Originally Posted by zika View Post
    Turned PPA on, updated and upgrade does not show anything to upgrade... GnomeShell PPAs are all on...
    There's one thing in the ppa, the new mesa package. Hmm.. Is gnomeshell ppa have a version of mesa that's newer?

    What's apt-cache show mesa say?

  5. #5
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,833
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Call for Testing: Mesa 9.1

    Quote Originally Posted by guitara View Post
    There's one thing in the ppa, the new mesa package. Hmm.. Is gnomeshell ppa have a version of mesa that's newer?

    What's apt-cache show mesa say?
    Code:
    :~$ sudo dpkg -l|grep mesa
    ii  libegl1-mesa:amd64                            9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the EGL API -- runtime
    ii  libegl1-mesa-drivers:amd64                    9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the EGL API -- hardware drivers
    ii  libgl1-mesa-dri:amd64                         9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenGL API -- DRI modules
    ii  libgl1-mesa-glx:amd64                         9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenGL API -- GLX runtime
    ii  libglapi-mesa:amd64                           9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the GL API -- shared library
    ii  libgles2-mesa:amd64                           9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenGL|ES 2.x API -- runtime
    ii  libglu1-mesa:amd64                            9.0.0-0ubuntu1                                      amd64        Mesa OpenGL utility library (GLU)
    ii  libopenvg1-mesa:amd64                         9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenVG API -- runtime
    ii  mesa-utils                                    8.0.1+git20110129+d8f7d6b-0ubuntu2+edgers           amd64        Miscellaneous Mesa GL utilities
    Last edited by zika; April 10th, 2013 at 04:51 PM.

  6. #6
    Join Date
    Apr 2006
    Location
    USA
    Beans
    402

    Re: Call for Testing: Mesa 9.1

    Quote Originally Posted by zika View Post
    Code:
    :~$ sudo dpkg -l|grep mesa
    ii  libegl1-mesa:amd64                            9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the EGL API -- runtime
    ii  libegl1-mesa-drivers:amd64                    9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the EGL API -- hardware drivers
    ii  libgl1-mesa-dri:amd64                         9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenGL API -- DRI modules
    ii  libgl1-mesa-glx:amd64                         9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenGL API -- GLX runtime
    ii  libglapi-mesa:amd64                           9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the GL API -- shared library
    ii  libgles2-mesa:amd64                           9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenGL|ES 2.x API -- runtime
    ii  libglu1-mesa:amd64                            9.0.0-0ubuntu1                                      amd64        Mesa OpenGL utility library (GLU)
    ii  libopenvg1-mesa:amd64                         9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz       amd64        free implementation of the OpenVG API -- runtime
    ii  mesa-utils                                    8.0.1+git20110129+d8f7d6b-0ubuntu2+edgers           amd64        Miscellaneous Mesa GL utilities
    Yea, look at the it's using a bleeding edge version of mesa.. I wonder why? We're on 9.1.1 in the ppa, hence why your not getting the updates You would have to force install the older version.

    sudo dpkg -l|grep mesa
    Code:
    ii  libegl1-mesa:amd64                            9.1.1-0ubuntu0.2                                             amd64        free implementation of the EGL API -- runtime
    ii  libegl1-mesa-drivers:amd64                    9.1.1-0ubuntu0.2                                             amd64        free implementation of the EGL API -- hardware drivers
    ii  libgl1-mesa-dev                               9.1.1-0ubuntu0.2                                             amd64        free implementation of the OpenGL API -- GLX development files
    ii  libgl1-mesa-dri:amd64                         9.1.1-0ubuntu0.2                                             amd64        free implementation of the OpenGL API -- DRI modules
    ii  libgl1-mesa-dri:i386                          9.1.1-0ubuntu0.2                                             i386         free implementation of the OpenGL API -- DRI modules
    ii  libgl1-mesa-glx:amd64                         9.1.1-0ubuntu0.2                                             amd64        free implementation of the OpenGL API -- GLX runtime
    ii  libgl1-mesa-glx:i386                          9.1.1-0ubuntu0.2                                             i386         free implementation of the OpenGL API -- GLX runtime
    ii  libglapi-mesa:amd64                           9.1.1-0ubuntu0.2                                             amd64        free implementation of the GL API -- shared library
    ii  libglapi-mesa:i386                            9.1.1-0ubuntu0.2                                             i386         free implementation of the GL API -- shared library
    ii  libgles2-mesa:amd64                           9.1.1-0ubuntu0.2                                             amd64        free implementation of the OpenGL|ES 2.x API -- runtime
    ii  libglu1-mesa:amd64                            9.0.0-0ubuntu1                                               amd64        Mesa OpenGL utility library (GLU)
    ii  libglu1-mesa:i386                             9.0.0-0ubuntu1                                               i386         Mesa OpenGL utility library (GLU)
    ii  libglu1-mesa-dev                              9.0.0-0ubuntu1                                               amd64        Mesa OpenGL utility library -- development files
    ii  libopenvg1-mesa:amd64                         9.1.1-0ubuntu0.2                                             amd64        free implementation of the OpenVG API -- runtime
    rc  libosmesa6:amd64                              9.0~git20120903.e1673d20.is.git20120821.c1114c61-0ubuntu1    amd64        Mesa Off-screen rendering extension
    rc  libosmesa6:i386                               9.0~git20120903.e1673d20.is.git20120821.c1114c61-0ubuntu1    i386         Mesa Off-screen rendering extension
    ii  mesa-common-dev                               9.1.1-0ubuntu0.2                                             amd64        Developer documentation for Mesa
    ii  mesa-utils                                    8.0.1+git20110129+d8f7d6b-0ubuntu2                           amd64        Miscellaneous Mesa GL utilities

  7. #7
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,800
    Distro
    Ubuntu Development Release

    Re: Call for Testing: Mesa 9.1

    Quote Originally Posted by zika View Post
    Turned PPA on, updated and upgrade does not show anything to upgrade... GnomeShell PPAs are all on...
    Me too!

    Code:
    ~ VinDSL Unity Debug Script 13.04.10 (vindsl.com) ~
    Current Date/Time: Wed Apr 10 10:27:32 MST 2013
    Distro Release: Ubuntu Raring Ringtail (development branch)
    Kernel Release: Linux 3.9.0-030900rc6-generic
    Gnome Release: GNOME Shell 3.8.0.1
    Unity Release: unity 7.0.0
    
    OpenGL vendor string:   NVIDIA Corporation
    OpenGL renderer string: GeForce 7600 GT/AGP/SSE2
    OpenGL version string:  2.1.2 NVIDIA 304.88
    
    Not software rendered:    yes
    Not blacklisted:          yes
    GLX fbconfig:             yes
    GLX texture from pixmap:  yes
    GL npot or rect textures: yes
    GL vertex program:        yes
    GL fragment program:      yes
    GL vertex buffer object:  yes
    GL framebuffer object:    yes
    GL version is 1.4+:       yes
    
    Unity 3D supported:       yes
    
    Package: mesa-utils
    Status: install ok installed
    Priority: optional
    Section: x11
    Installed-Size: 106
    Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
    Architecture: i386
    Source: mesa-demos
    Version: 8.0.1+git20110129+d8f7d6b-0ubuntu2+edgers
    Replaces: xbase-clients (<< 6.8.2-38)
    Depends: libc6 (>= 2.4), libgl1-mesa-glx | libgl1, libx11-6
    Description: Miscellaneous Mesa GL utilities
     This package provides several basic GL utilities built by Mesa, including
     glxinfo and glxgears.
    Homepage: http://mesa3d.sourceforge.net/
    
    Package: mesa-common-dev
    Version: 9.2.0~git20130404+9.1.980f84c3-0ubuntu0ricotz
    
    Package: xserver-xorg-core
      Installed: 2:1.13.3-0ubuntu5
    
    Tree Map of PCI Devices:
    -[0000:00]-+-00.0  Intel Corporation 82875P/E7210 Memory Controller Hub
               +-01.0-[01]----00.0  NVIDIA Corporation G73 [GeForce 7600 GT]
               +-06.0  Intel Corporation 82875P/E7210 Processor to I/O Memory Interface
               +-1d.0  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1
               +-1d.1  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2
               +-1d.2  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3
               +-1d.3  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4
               +-1d.7  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
               +-1e.0-[02]----0c.0  Lite-On Communications Inc LNE100TX
               +-1f.0  Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
               +-1f.2  Intel Corporation 82801EB (ICH5) SATA Controller
               +-1f.3  Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller
               \-1f.5  Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
    
    Display Properties:
     lcd monitor:    Dell UltraSharp 1907FP (analog input)
      dimensions:    1280x1024 pixels (339x271 millimeters)
      resolution:    96x96 dots per inch

    Quote Originally Posted by balloons View Post
    You would have to force install the older version.
    Heh! Can't say I see any immediate benefit to doing this...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  8. #8
    Join Date
    Jun 2011
    Beans
    397
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Call for Testing: Mesa 9.1

    This ppa is only interesting for people with built in Intel GPUs as mentioned by the poster. NVidia blobs are not affected as NVidia is delivering it's own graphic stack with their driver. The developers are more interested for feedback of people with Intel HD3000 and newer HD4000 GPUs. Due to my lack of HD4000 hardware I'm unable to provide the requested feedback.

  9. #9
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,833
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Call for Testing: Mesa 9.1

    Quote Originally Posted by balloons View Post
    Yea, look at the it's using a bleeding edge version of mesa.. I wonder why?
    I do not mind... There is a solid well-thought reason why I stay with some of PPAs I use...
    Quote Originally Posted by balloons View Post
    We're on 9.1.1 in the ppa, hence why your not getting the updates You would have to force install the older version.
    I know why I'm not getting any upgrades from Your PPA, from the very beginning...
    Why would I force that? Any real reason?
    Update₁: I was not reading original post in details obviously... Clarification about Intel gave me the answer... Mea culpa.
    Last edited by zika; April 10th, 2013 at 09:15 PM.

  10. #10
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,800
    Distro
    Ubuntu Development Release

    Re: Call for Testing: Mesa 9.1

    Quote Originally Posted by Gyokuro View Post
    This ppa is only interesting for people with built in Intel GPUs as mentioned by the poster.
    I see. Thanks, for the clarification.

    I didn't realize it was for Intel GPU users only.

    I'll get rid of that PPA, before it goofs up my install...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •